package com.ms.dal.mapper;

import com.ms.dal.entity.DoudianTradeMsgQueue;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Entity com.ms.dal.entity.DoudianTradeMsgQueue
 */
@Mapper
public interface DoudianTradeMsgQueueMapper {

    int deleteByPrimaryKey(Long id);

    int insert(DoudianTradeMsgQueue record);

    int insertOrUpdate(DoudianTradeMsgQueue  record);

    int insertSelective(DoudianTradeMsgQueue record);

    DoudianTradeMsgQueue selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(DoudianTradeMsgQueue record);

    int updateByPrimaryKey(DoudianTradeMsgQueue record);

}
